#ifndef MULTITHREAD_H
#define MULTITHREAD_H
#include "counterthread.h"
#include<QObject>
#include <QMutex>
#include <QWaitCondition>

class Multithread:public QObject
{
    Q_OBJECT

public:

    Multithread(QObject *parent=0);
    void requestThread();
    void abort();
    void resume();

private:
    bool _abort;
    bool _working;
    QMutex mutex;
    QWaitCondition pauseContd;
signals:
    void multithreadRequested();
    void valueChanged(const QString &value);
    void finished();
    void resumed();
    void value();
public slots:
    void doMultiThread();

};

#endif // MULTITHREAD_H
