#ifndef COUNTERTHREAD_H
#define COUNTERTHREAD_H

#include <QMainWindow>
#include"multithread.h"
namespace Ui {
class CounterThread;
}
class Multithread;
class CounterThread : public QMainWindow
{
    Q_OBJECT

public:
    explicit CounterThread(QWidget *parent = 0);
    ~CounterThread();

private slots:
    void on_actionStart_triggered();

    void on_actionPause_triggered();

    void on_actionResume_triggered();

private:
    Ui::CounterThread *ui;
    QThread *thread;
    Multithread *multithread;
};

#endif // COUNTERTHREAD_H
